NXOpen .NET Reference  12.0.0
NXOpen.Routing.StockData Member List

This is the complete list of members for NXOpen.Routing.StockData, including all inherited members.

AttributeType enum nameNXOpen.NXObject
CreateAttributeIterator()NXOpen.NXObject
DateAndTimeFormat enum nameNXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
DeleteAllAttributesByType(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title)NXOpen.NXObject
DeleteAttributeByTypeAndTitle(NXOpen.NXObject.AttributeType type, string title, NXOpen.Update.Option option)NXOpen.NXObject
DeleteCharacterstics(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.StockData
DeleteUserAttribute(NXOpen.NXObject.AttributeType type, string title, bool deleteEntireArray, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.AttributeIterator iterator, NXOpen.Update.Option option)NXOpen.NXObject
DeleteUserAttributes(NXOpen.NXObject.AttributeType type, NXOpen.Update.Option option)NXOpen.NXObject
FindObject(string journalIdentifier)NXOpen.NXObject
GetAnchors()NXOpen.Routing.StockData
GetAttributeTitlesByType(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetBooleanUserAttribute(string title, int index)NXOpen.NXObject
GetBundledStockDatas()NXOpen.Routing.StockData
GetCharacteristics()NXOpen.Routing.StockData
GetComputationalTimeUserAttribute(string title, int index)NXOpen.NXObject
GetCrossSections()NXOpen.Routing.StockData
GetDestinationCharacteristics()NXOpen.Routing.StockData
GetIntegerAttribute(string title)NXOpen.NXObject
GetIntegerCharacteristic(string name)NXOpen.Routing.StockData
GetIntegerUserAttribute(string title, int index)NXOpen.NXObject
GetIsBundled()NXOpen.Routing.StockData
GetNamedAnchor(string anchorName)NXOpen.Routing.StockData
GetNextUserAttribute(NXOpen.AttributeIterator iterator, out NXOpen.NXObject.AttributeInformation info)NXOpen.NXObject
GetPdmReferenceAttributeValue(string attributeTitle)NXOpen.NXObject
GetRealAttribute(string title)NXOpen.NXObject
GetRealCharacteristic(string name)NXOpen.Routing.StockData
GetRealUserAttribute(string title, int index)NXOpen.NXObject
GetReferenceAttribute(string title)NXOpen.NXObject
GetStocks()NXOpen.Routing.StockData
GetStringAttribute(string title)NXOpen.NXObject
GetStringCharacteristic(string name)NXOpen.Routing.StockData
GetStringUserAttribute(string title, int index)NXOpen.NXObject
GetStyledCross(NXOpen.Routing.StockStyle stockStyle)NXOpen.Routing.StockData
GetTimeAttribute(NXOpen.NXObject.DateAndTimeFormat format, string title)NXOpen.NXObject
GetTimeUserAttribute(string title, int index)NXOpen.NXObject
GetUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttribute(string title, bool includeUnset, bool addStringValues, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeAsString(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributeCount(NXOpen.AttributeIterator iterator, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeCount(NXOpen.NXObject.AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)NXOpen.NXObject
GetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributes(NXOpen.AttributeIterator iterator)NXOpen.NXObject
GetUserAttributes()NXOpen.NXObject
GetUserAttributes(bool includeUnset)NXOpen.NXObject
GetUserAttributes(bool includeUnset, bool addStringValues)NXOpen.NXObject
GetUserAttributesAsStrings()NXOpen.NXObject
GetUserAttributeSize(string title, NXOpen.NXObject.AttributeType type)NXOpen.NXObject
GetUserAttributeSourceObjects()NXOpen.NXObject
HasUserAttribute(NXOpen.AttributeIterator iterator)NXOpen.NXObject
HasUserAttribute(string title, NXOpen.NXObject.AttributeType type, int index)NXOpen.NXObject
IsOccurrenceNXOpen.NXObject
JournalIdentifierNXOpen.NXObject
NameNXOpen.NXObject
OwningComponentNXOpen.NXObject
OwningPartNXOpen.NXObject
Print()NXOpen.NXObject
PrototypeNXOpen.NXObject
SetAnchors(NXOpen.Routing.Anchor[] anchors)NXOpen.Routing.StockData
SetAttribute(string title, int value)NXOpen.NXObject
SetAttribute(string title, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, double value)NXOpen.NXObject
SetAttribute(string title, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title, string value)NXOpen.NXObject
SetAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetAttribute(string title)NXOpen.NXObject
SetAttribute(string title, NXOpen.Update.Option option)NXOpen.NXObject
SetBooleanUserAttribute(string title, int index, bool value, NXOpen.Update.Option option)NXOpen.NXObject
SetCharacteristic(string name, int value)NXOpen.Routing.StockData
SetCharacteristic(string name, double value)NXOpen.Routing.StockData
SetCharacteristic(string name, string value)NXOpen.Routing.StockData
SetCharacteristic2(string title, int value)NXOpen.Routing.StockData
SetCharacteristic2(string title, double value)NXOpen.Routing.StockData
SetCharacteristic2(string title, string value)NXOpen.Routing.StockData
SetCharacteristics(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.StockData
SetCharacteristics2(NXOpen.Routing.CharacteristicList values)NXOpen.Routing.StockData
SetCrossSections(NXOpen.Routing.CrossSection[] crossSections)NXOpen.Routing.StockData
SetName(string name)NXOpen.NXObject
SetPdmReferenceAttribute(string attributeTitle, string attributeValue)NXOpen.NXObject
SetReferenceAttribute(string title, string value)NXOpen.NXObject
SetReferenceAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeAttribute(string title, string value)NXOpen.NXObject
SetTimeAttribute(string title, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetTimeUserAttribute(string title, int index, NXOpen.NXObject.ComputationalTime value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(NXOpen.NXObject.AttributeInformation info, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, int value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, double value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, string value, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttribute(string title, int index, NXOpen.Update.Option option)NXOpen.NXObject
SetUserAttributeLock(string title, NXOpen.NXObject.AttributeType type, bool @lock)NXOpen.NXObject
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.